<script setup lang="ts">
import { provide, ref } from 'vue'
import { RouterView } from 'vue-router'
import MainMenu from './components/MainMenu.vue'
import MainAppBar from './components/MainAppBar.vue'
import LoadingDialog from './components/LoadingDialog.vue'
const drawer = ref(true)
const rail = ref(true)
provide('rail', rail)
provide('drawer', drawer)
</script>

<template>
  <v-layout class="rounded rounded-md">
    <MainAppBar></MainAppBar>
    <MainMenu></MainMenu>
    <v-main class="align-center justify-center" style="min-height: 300px">
      <div class="pa-16">
        <RouterView />
      </div>
    </v-main>
  </v-layout>
  <LoadingDialog></LoadingDialog>
</template>

<style scoped></style>
